UFxp:build

From Lundman Wiki
Jump to: navigation, search

Erin 2006/05/10

download and install Ultimate++ on local machine To install it, you should place 'theide' executable to any place on PATH and 'upp' directory to either:

  • ~/upp
  • /usr/local/share/upp
  • /usr/local/lib/upp
  • /usr/local/bin/upp
  • /usr/share/upp
  • /usr/lib/upp
  • /usr/bin/upp

(Placing both 'theide' and 'upp' to /usr/local/bin seems to be the simple obvious option here). For Unix

%cp upp -fR /usr/local/bin/upp
%cp theide /usr/local/bin/theide
%chmod 755 /usr/local/bin/theide


You will need to setup the FXP.One engine as well. Please follow the instructions for FXP.One Compile

Check out the sources from CVS, or untar the source tarball.

% mkdir -p /home/user/upp/MyApps
% cd /home/user/upp/MyApps
% tar -zxvf UFxp-v1.1.tar.gz
OR
% cvs -d ":pserver:anoncvs@lundman.net:/home/cvsroot" login 
Password: anoncvs
% cvs -d ":pserver:anoncvs@lundman.net:/home/cvsroot" co UFxp
% cd UFxp
% cd lion
% ./configure
% gmake

start theide

% theide

You have to set the path to your UFXP code and then build it.

select MyApps / UFxp 
build>build (F7) 
RUN
Debug>Execute (cntl F5)


If you get linking errors on Linux referring to missing references with krb5 functions, you can define OPENSSL_NO_KRB5 in the Package Organiser, or by manual edits. Another option is to add extra libraries:

Package/Package Organizer/
!WIN32  : lion ssl crypto
Change to
!WIN32  : lion ssl crypto krb5 gssapi_krb5 k5crypto krb5support resolv com_err